Method: organizations.locations.securityProfileGroups.list

指定された組織とロケーションの SecurityProfileGroups の一覧を取得します。

HTTP リクエスト

GET https://networksecurity.googleapis.com/v1beta1/{parent=organizations/*/locations/*}/securityProfileGroups

この URL では gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
parent

string

必須。SecurityProfileGroups の一覧を取得するプロジェクトまたは組織とロケーション。projects|organizations/*/locations/{location} 形式で指定します。

クエリ パラメータ

パラメータ
pageSize

integer

呼び出しごとに返される SecurityProfileGroups の最大数。

pageToken

string

最後の ListSecurityProfileGroupsResponse で返された値は、これが前の securityProfileGroups.list 呼び出しの続きであり、システムからその次のページのデータが返される必要があることを示しています。

リクエスト本文

リクエスト本文は空にする必要があります。

レスポンスの本文

securityProfileGroups.list メソッドによって返されるレスポンス。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "securityProfileGroups": [
    {
      object (SecurityProfileGroup)
    }
  ],
  "nextPageToken": string
}
フィールド
securityProfileGroups[]

object (SecurityProfileGroup)

SecurityProfileGroups リソースのリスト。

nextPageToken

string

このレスポンスよりも結果が多い可能性がある場合には、nextPageToken が含まれます。次の結果セットを取得するには、pageToken として nextPageToken の値を使用して、このメソッドを再度呼び出します。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/cloud-platform

詳細については、認証の概要をご覧ください。